body{
    background-color: white !important;

}
main{
    background-color: white;
   
}


#hero {
    background-color: var(--background-hero-color);
    max-width: none;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 5rem;
    color: var(--hero-logo-color);
    font-family: "Roboto";
    padding: 100px 150px;

}

#hero div {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

#hero h1 {
    font-size: 48px;
    font-weight: bold;
}

.hero-content{
    font-size: 18px;
}
#hero img {
    width: 100%;
    height: auto;
}

#hero button {
    width: 150px;
    height: 40px;
    background-color: var(--hero-logo-color);
    color: var(--background-hero-color);
    border: none;
    border-radius: 5px;
    font-family: "Roboto";
    cursor: pointer;
    color: var(--quote-text);
}

#hero a {
    color: var(--background-hero-color);
}

#hero a:hover {
    color: var(--call-to-action);

}

#hero-section {
    display: flex;
}


section > .landing-page-subtitle{
    align-items: center;
    padding-top: 10px;
}
.landing-page-subtitle{
    font-size: 2.5rem;
    font-weight: bold;
    text-align: center;
    color: #1f2937;
}


 #service-cards-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 3rem;
    align-items: stretch;
    padding: 2rem 4rem;
    margin-bottom: 5rem;
}
    

.serv-card{
    display: flex;
    flex-direction: column;
    flex: 2 2 0;
    min-width: 0;
    max-width: 250px;
    font-family: "Roboto";
    text-align: center;
    
}

#service-cards-container img {
    border-radius: 10px;
    border: 1px solid var(--background-hero-color);
    object-fit: contain;
    
    
}
.serv-card figcaption{
  font-size: 0.80rem;
    line-height: 1.5;
    opacity: 0.85;
    margin: 0;
    display: block;
    text-align: center;

}

blockquote {
    margin: 50px;

}

.quote {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-content: center;
    background-color: var(--quote-bg);
    font-family: "Roboto Light";
    font-size: 2rem;
    border-radius: 15px;
    color: var(--quote-text);
    font-style: italic;
    padding-top: 1rem;
    padding-bottom: 1rem;

}

.button-div button {
    width: 150px;
    height: 40px;
    background-color: var(--call-to-action);
    color: var(--secondary-link-text);
    border: 3px solid var(--secondary-link-text);
    border-radius: 5px;
    font-family: "Roboto";
    cursor: pointer;
}

.our-mission {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: 50px auto;
    padding: 50px 50px;
    background-color: var(--background-hero-color);
    font-family: "Roboto";
    color: var(--secondary-link-text)
}

.our-mission p {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-content: center;
    padding: 15px 320px;
    font-size: 18px;
}


cite {
    display: block;
    color: var(--background-hero-color);
    font-family: "Roboto";
    font-style: normal;
    font-size: 20px;
    margin-top: 10px;
    text-align: right;

}

#call-to-action {
    max-width: 900px;
    margin: 0 auto;
    margin-bottom: 60px;
    margin-top: 60px;
    background-color: var(--call-to-action);
    font-family: "Roboto";
    color: var(--secondary-link-text);
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
    padding: 40px 80px;
    border-radius: 10px;
}

@media screen and (max-width: 780px) {
    #service-cards-container {
        flex-wrap: wrap;
        justify-content: center;
        padding: 2rem;
        gap: 1.5rem;
    }

    .serv-card{
        flex: 0 0 45%;
        max-width: none; 
        align-items: center;     
    }

    #service-cards-container img {
        width: 80%;
        height: auto;
    }
    .quote blockquote {
        font-size: 20px;
        margin: 10px;
    }
}
@media screen and (max-width: 1024px) {
    #hero {
        flex-wrap: wrap;
        padding: 90px 50px;
    }

    #service-cards-container {
        flex-wrap: wrap;
        padding: 2rem;
    }

    .serv-card{
        flex: 1 1 40%;       /* 2 cards per row with room to breathe */
    }
}